{% macro plot_div(json_data, div_id, no_plot_message=none) %}
<div>
    {% if json_data %}
        {% if 'resource_path' in json_data %}
            <img src="{{ json_data.resource_path }}" alt="{{ json_data.error }}" class="img-fluid">
        {% else %}
            <div id="{{ div_id }}"></div>
        {% endif %}
    {% else %}
        <p>{{ no_plot_message }}</p>
    {% endif %}
</div>
{% if json_data %}
    {% if 'resource_path' not in json_data %}
    <script>
    window.addEventListener('load', function() {
        var plot = JSON.parse('{{ json_data|tojson|safe }}');
        Plotly.newPlot('{{ div_id }}', plot.data, plot.layout);
    });
    </script>
    {% endif %}
{% endif %}
{% endmacro %}
